/**
 * @license
 * Copyright 2021 JBoss Inc
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { EventEmitter, QueryList } from "@angular/core";
import { ModalDirective } from "ngx-bootstrap/modal";
import { CodeEditorComponent, CodeEditorMode, CodeEditorTheme } from "../../../../../../components/common/code-editor.component";
import { Aai20Schema } from "apicurio-data-models";
export declare class AddAsyncApiExampleDialogComponent {
    payloadSchema: Aai20Schema;
    headersSchema: Aai20Schema;
    onAdd: EventEmitter<any>;
    addExampleModal: QueryList<ModalDirective>;
    payloadCodeEditor: QueryList<CodeEditorComponent>;
    headersCodeEditor: QueryList<CodeEditorComponent>;
    private _isOpen;
    model: any;
    get payloadValue(): string;
    get headersValue(): string;
    set payloadValue(value: string);
    set headersValue(value: string);
    /**
     * Called to open the dialog.
     */
    open(): void;
    /**
     * Called to close the dialog.
     */
    close(): void;
    /**
     * Called when the user clicks "add".
     */
    add(): void;
    /**
     * Called when the user clicks "cancel".
     */
    cancel(): void;
    /**
     * Returns true if the dialog is open.
     * @return
     */
    isOpen(): boolean;
    valueEditorTheme(): CodeEditorTheme;
    valueEditorMode(): CodeEditorMode;
    hasValue(): boolean;
    canGeneratePayloadExample(): boolean;
    canGenerateHeadersExample(): boolean;
    generatePayload(): void;
    generateHeaders(): void;
}
